# CatalanValencian

@Serializable(with = IetfLanguageCodeSerializer::class )
sealed class CatalanValencian : IetfLanguageCode (source)

#### Inheritors

AD
ES
FR
IT
Companion

## Types

AD
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object AD : IetfLanguageCode.CatalanValencian
Companion
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object Companion : IetfLanguageCode.CatalanValencian
ES
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
sealed class ES : IetfLanguageCode.CatalanValencian
FR
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object FR : IetfLanguageCode.CatalanValencian
IT
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object IT : IetfLanguageCode.CatalanValencian

## Properties

code
Link copied to clipboard
open override val code : String
withoutDialect
Link copied to clipboard
open override val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLanguageCode . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLanguageCode ?. toJavaLocaleOrDefault (): Locale
toString
Link copied to clipboard
open override fun toString (): String